#
# spec file for package python-xmltodict
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xmltodict
Version:        0.12.0
Release:        150100.5.6.2
Summary:        Module to make XML working resemble JSON
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/martinblech/xmltodict
Source:         https://files.pythonhosted.org/packages/source/x/xmltodict/xmltodict-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-xml
BuildArch:      noarch
BuildRequires:  %{python_module pytest}
%python_subpackages

%description
xmltodict is a Python module that makes working with XML feel like you are
working with json, as in this:
http://www.xml.com/pub/a/2006/05/31/converting-between-xml-and-json.html

%prep
%setup -q -n xmltodict-%{version}
sed -i '1{\@^#!%{_bindir}/env python@d}' xmltodict.py

%build
export LANG=en_US.UTF-8
%python_build

%install
export LANG=en_US.UTF-8
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export LANG=en_US.UTF-8
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/xmltodict.py*
%pycache_only %{python_sitelib}/__pycache__/xmltodict.*.py*
%{python_sitelib}/xmltodict-%{version}-py*.egg-info

%changelog
* Mon Dec 14 2020 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Fri May 29 2020 mcalabkova@suse.com
- Replace nose with pytest
* Sat Apr  6 2019 jayvdb@gmail.com
- Add export LANG=en_US.UTF-8 to fix Leap builds
* Tue Mar 26 2019 jengelh@inai.de
- Use noun phrase in summary.
* Tue Mar 26 2019 pgajdos@suse.com
- version update to 0.12.0
  * Allow force_commits=True for getting all keys as lists (#204)
  * README.md: fix useless uses of cat (#200)
  * Add FreeBSD install instructions (#199)
  * Fix and simplify travis config (#192)
  * Add support for Python 3.7 (#189)
  * Drop support for EOL Python (#191)
  * Use Markdown long_description on PyPI (#190)
  * correct spelling mistake (#165)
  * correctly unparse booleans (#180)
  * Updates README.md with svg badge
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu May 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Fix source URL.
- Update to version 0.11.0
  * Determine fileness by checking for read attr
  * Add support for Python 3.6.
  * Release as a universal wheel.
  * Updated docs examples to use print function.
  * unparse: pass short_empty_elements to XMLGenerator
  * Added namespace support when unparsing.
* Tue Sep  6 2016 mardnh@gmx.de
- update to version 0.10.2
  + Fixed defusedexpat expat import.
- v0.10.1
  + Use defusedexpat if available.
  + Allow non-string attributes in unparse.
  + Add postprocessor support for attributes.
  + Make command line interface Python 3-compatible.
- v0.10.0
  + Add force_list feature.
  + Add support for Python 3.4 and 3.5.
  + Performance optimization: use list instead of string for CDATA.
  + Include Arch Linux package instructions in README.
  + Improved documentation.
  + Allow any iterable in unparse, not just lists.
  + Bugfix: Process namespaces in attributes too.
  + Better testing under Python 2.6.
- v0.9.2
  + Fix multiroot check for list values
- v0.9.1
  + Only check single root when full_document=True
* Thu Nov 27 2014 boris@steki.net
- add python-xml to all *suse distributions as SLE 12 requires it too
* Mon Nov  3 2014 boris@steki.net
- add python-xml to requires to enable SLE build
* Wed Sep 10 2014 boris@steki.net
- initial packaging of 0.9.0 version
